Commits

stretchedthin committed 687c357

gpsd libmpd libnxml texi2html

Comments (0)

Files changed (12)

var/vabs/gpsd/src/doinst.sh

+config() {
+  NEW="$1"
+  OLD="$(dirname $NEW)/$(basename $NEW .new)"
+  # If there's no config file by that name, mv it over:
+  if [ ! -r $OLD ]; then
+    mv $NEW $OLD
+  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+    # toss the redundant copy
+    rm $NEW
+  fi
+  # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+  NEW="$1"
+  OLD="$(dirname $NEW)/$(basename $NEW .new)"
+  if [ -e $OLD ]; then
+    cp -a $OLD ${NEW}.incoming
+    cat $NEW > ${NEW}.incoming
+    mv ${NEW}.incoming $NEW
+  fi
+  config $NEW
+}
+
+preserve_perms etc/rc.d/rc.gpsd.new
+config etc/rc.d/rc.gpsd.conf.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi

var/vabs/gpsd/src/gpsd.SlackBuild

 # AUTHORS = 
 
 NAME="gpsd"            #Enter package Name!
-VERSION=${VERSION:-"2.95"}      #Enter package Version!
+VERSION=${VERSION:-"3.9"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+LINK=${LINK:-"http://download-mirror.savannah.gnu.org/releases/gpsd/gpsd-3.9.tar.gz"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-"scons"}
 #----------------------------------------------------------------------------
 
 
 #-----------------------------------------------------------------------
 
 echo "Configuring source..."
-./configure --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --infodir=/usr/info \
-  --sysconfdir=/etc \
-  --localstatedir=/var \
-  --mandir=/usr/man \
-  --disable-static \
-  --enable-dbus \
-  --program-prefix="" \
-  --program-suffix="" \
-  --build=$CONFIGURE_TRIPLET \
-  $CONFIG_OPTIONS || exit 1
-
-make || exit 1
-
-make install DESTDIR=$PKG || exit
+CFLAGS=$SLKCFLAGS \
+scons \
+  prefix=/usr \
+  libdir=/usr/lib${LIBDIRSUFFIX} \
+  pkgconfigdir=/usr/lib${LIBDIRSUFFIX}/pkgconfig \
+  mandir=/usr/man \
+  chrpath=no \
+  $ENABLELIST \
+  $DISABLELIST
+
+DESTDIR=$PKG \
+scons \
+  --implicit-deps-unchanged \
+ install
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+install -D -m 0644 $CWD/xgps.desktop \
+  $PKG/usr/share/applications/xgps.desktop
+install -D -m 0644 $CWD/xgpsspeed.desktop \
+  $PKG/usr/share/applications/xgpsspeed.desktop
+install -D -m 0644 packaging/X11/gpsd-logo.png \
+  $PKG/usr/share/pixmaps/gpsd-logo.png
+
+# Get hotplug config from /etc/rc.d/rc.gpsd.conf not /etc/default/gpsd
+sed -i 's;/etc/default/gpsd;/etc/rc.d/rc.gpsd.conf;' gpsd.hotplug
+install -D -m 0755 gpsd.hotplug \
+  $PKG/lib/udev/gpsd.hotplug
+mkdir -p $PKG/lib/udev/rules.d
+
+# Comment out all udev rules: the user is expected to enable only the
+# rules required (see README)
+cat gpsd.rules | \
+  sed 's/^ATTRS/#&/' \
+  >$PKG/lib/udev/rules.d/97-gpsd.rules
+
+install -D -m 0644 $CWD/rc.gpsd.new \
+  $PKG/etc/rc.d/rc.gpsd.new
+install -D -m 0644 $CWD/rc.gpsd.conf.new \
+  $PKG/etc/rc.d/rc.gpsd.conf.new
+
 
 
 #######################################################################

var/vabs/gpsd/src/rc.gpsd.conf.new

+# /etc/rc.d/rc.gpsd.conf
+# Configuration settings for gpsd
+
+# If your GPS is on a real (non-USB) serial port, add /dev/ttyS<n> here,
+# for example
+# GPSD_DEVICES="/dev/gps* /dev/ttyS1"
+GPSD_DEVICES="/dev/gps*"
+
+# Command line options for the gpsd daemon, see 'man gpsd' for details.
+# The most likely options that you might want to set include -b and -n.
+GPSD_OPTIONS=""
+
+# Control socket pathname.  It's unlikely you'll want to change this.
+GPSD_SOCKET="/var/run/gpsd.sock"

var/vabs/gpsd/src/rc.gpsd.new

+#!/bin/sh
+
+# /etc/rc.d/rc.gpsd
+# Start/stop/restart gpsd
+# Sebastian Arcus and David Spencer
+#
+# To enable automatic discovery of your GPS device by udev, uncomment the
+# appropriate line of /etc/udev/rules.d/97-gpsd.rules
+#
+# Configuration options may be set in /etc/rc.d/rc.gpsd.conf
+# but the defaults will usually be adequate.
+
+gpsd_start() {
+
+  if [ ! -x /lib/udev/gpsd.hotplug ]; then
+    echo "$(basename $0): /lib/udev/gpsd.hotplug not found (or not executable); cannot start."
+    exit 1
+  fi
+
+  if [ -r /etc/rc.d/rc.gpsd.conf ]; then
+    . /etc/rc.d/rc.gpsd.conf
+  fi
+  # Set config defaults in case the .conf file was absent or bogus
+  GPSD_DEVICES="${GPSD_DEVICES:-/dev/gps*}"
+  GPSD_OPTIONS="${GPSD_OPTIONS:-}"
+  GPSD_SOCKET="${GPSD_SOCKET:-/var/run/gpsd.sock}"
+
+  for DEVNAME in $GPSD_DEVICES; do
+    if [ -e $DEVNAME ]; then
+      echo "$(basename $0): Starting gpsd for $DEVNAME"
+      ACTION=add DEVNAME=$DEVNAME /lib/udev/gpsd.hotplug
+    else
+      echo "$(basename $0): $DEVNAME not found, gpsd not started"
+    fi
+  done
+
+}
+
+gpsd_stop() {
+  echo "Stopping gpsd..."
+  killall gpsd >/dev/null 2>&1
+  return 0
+}
+
+case "$1" in
+  start)
+    gpsd_start
+    ;;
+  stop)
+    gpsd_stop
+    ;;
+  restart)
+    gpsd_stop
+    sleep 1
+    gpsd_start
+    ;;
+  *)
+    echo "Usage: $0 start|stop|restart"
+    exit 1
+    ;;
+esac

var/vabs/gpsd/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+    |-----handy-ruler------------------------------------------------------|
+gpsd: gpsd (GPS service daemon)
+gpsd:
+gpsd: gpsd is a service daemon that monitors one or more GPSes attached to
+gpsd: a host computer through serial or USB ports, making all data on the
+gpsd: location/course/velocity available to be queried on TCP port 2947
+gpsd: of the host computer. With gpsd, multiple GPS client applications
+gpsd: (such as navigational and wardriving software) can share access to
+gpsd: GPSes without contention or loss of data.
+gpsd:
+gpsd: Homepage: http://gpsd.berlios.de/
+gpsd:

var/vabs/gpsd/src/xgps.desktop

+[Desktop Entry]
+Name=xgps
+GenericName=GPS information
+Comment=Display GPS information from a gpsd daemon
+Exec=xgps
+Icon=/usr/share/pixmaps/gpsd-logo.png
+Terminal=false
+Type=Application
+Categories=Utility;

var/vabs/gpsd/src/xgpsspeed.desktop

+[Desktop Entry]
+Name=xgpsspeed
+GenericName=GPS speedometer
+Comment=Display GPS speed from a gpsd daemon
+Exec=xgpsspeed
+Icon=/usr/share/pixmaps/gpsd-logo.png
+Terminal=false
+Type=Application
+Categories=Utility;

var/vabs/libmpd/src/libmpd.SlackBuild

-#!/usr/bin/bash
-# This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
-# and slack-required will be found in "VERSION" dir. The extraction and
-# build will be in a temp dir created in "NAME" dir, and then removed on exit.
-# Comment out second to last line to keep this dir intact.
-#
-# This Template was compiled from the contributions of many users of the Vector
-# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
-# from all over the internet. 
-#
-# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
-# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
-#
-# Please put your name below if you add some original scripting lines.
-# AUTHORS = 
-
-NAME="libmpd"            #Enter package Name!
-VERSION=${VERSION:-"0.18.0"}      #Enter package Version!
-VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
-
-
-#SYSTEM VARIABLES
-#----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"1"}
-VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
-BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-ARCH=${ARCH:-"$(uname -m)"}
-CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
-LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
-EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-#----------------------------------------------------------------------------
-
-
-#SETUP PACKAGING ENVIRONMENT
-#--------------------------------------------
-CWD=$(pwd)
-cd ../
-RELEASEDIR=$(pwd)
-cd $CWD
-mkdir -p $RELEASEDIR/tmp
-TMP=$RELEASEDIR/tmp
-PKG=$TMP/package-$NAME
-#--------------------------------------------
-
-
-
-if [ $UID != 0 ]; then
-   echo "You are not authorized to run this script. Please login as root"
-   exit 1
-fi
-
-if [ ! -x /usr/bin/requiredbuilder ]; then
-   echo "Requiredbuilder not installed, or not executable."
-   exit 1
-fi
-
-if [ $VL_PACKAGER = "YOURNAME" ]; then
-   echo 'Who are you?
-   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
-   Change the word "YOURNAME" to your VectorLinux packager name.
-   You may also export VL_PACKAGER, or call this script with
-   VL_PACKAGER="YOUR NAME HERE"'
-   exit 1
-fi
-
-
-#CFLAGS SETUP
-#--------------------------------------------
-if [[ "$ARCH" = i?86 ]]; then
-  ARCH=i586
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fpic"
-  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
-  LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "powerpc" ]; then
-  SLKCFLAGS="-O2"
-  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
-  LIBDIRSUFFIX=""
-fi
-
-export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
-export CXXFLAGS=$CFLAGS
-export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
-#--------------------------------------------
-
-
-#GET THE SOURCE
-#--------------------------------------------
-for SRC in $(echo $LINK);do
-if [ ! -f $CWD/$(basename $SRC) ]
-then
-        wget -c $SRC
-fi
-done
-#--------------------------------------------
-
-
-rm -rf $PKG
-mkdir -p $PKG
-cd $TMP
-rm -rf $NAME-$VERSION
-
-
-#EXTRACT SOURCES
-#-----------------------------------------------------
-echo "Extracting source..."
-tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
-#-----------------------------------------------------
-
-
-cd $TMP/$NAME-$VERSION
-
-# Put any Patches into a patches folder in the src dir
-#-----------------------------------------------------
-for i in $CWD/patches/*;do
-	patch -p1 <$i
-done
-#-----------------------------------------------------
-
-
-#SET PERMISSIONS
-#-----------------------------------------
-echo "Setting permissions..."
-chown -R root:root .
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 2777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 2755 -exec chmod 755 {} \;
-find . -perm 774 -exec chmod 644 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
-#-----------------------------------------
-
-
-
-#CONFIGURE & MAKE
-#----------------------------------------------------------------------
-# If you are building a KDE-related app, then change the following
-# arguments in the script below:
-# --prefix=$(kde-config -prefix) \
-# --sysconfdir=/etc/kde \
-#
-# Making these changes will ensure that your package will build in the
-# correct path and that it will work seamlessly within the KDE environment.
-#
-#-----------------------------------------------------------------------
-
-echo "Configuring source..."
-./configure --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --infodir=/usr/info \
-  --sysconfdir=/etc \
-  --localstatedir=/var \
-  --mandir=/usr/man \
-  --with-included-gettext \
-  --disable-debug \
-  --program-prefix="" \
-  --program-suffix="" \
-  --build=$CONFIGURE_TRIPLET \
-  $CONFIG_OPTIONS || exit 1
-
-make || exit 1
-
-make install DESTDIR=$PKG || exit
-
-
-#######################################################################
-#Miscellenious tweaks and things outside a normal ./configure go here #
-#######################################################################
-
-
-
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
-LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
-$PKG/usr/doc/$NAME-$VERSION
-cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
-
-#----------------------------------------------------------------------
-
-if [ -d $PKG/usr/share/man ] ; then
-mkdir -p $PKG/usr/man
-mv $PKG/usr/share/man/* $PKG/usr/man
-rm -rf $PKG/usr/share/man
-fi
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-
-if [ -d $PKG/usr/share/info ] ; then
-mkdir -p $PKG/usr/info
-mv $PKG/usr/share/info/* $PKG/usr/info
-rm -rf $PKG/usr/share/info
-fi 
-
-find $PKG/usr/info -type f -exec gzip -9 {} \;
-mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
-cat >> $PKG/install/doinst.sh << EOF
-CWD=\$(pwd)
-cd usr/info
-if [ -f dir ];then
-    rm dir
-fi
-if [ -f dir.gz ];then
-    rm dir.gz
-fi
-for i in *.info.gz;do
-        install-info \$i dir
-done
-cd \$CWD
-EOF
-fi
-
-mkdir -p $PKG/install
-
-
-#if there is a slack-desc in src dir use it
-if test -f $CWD/slack-desc; then
-cp $CWD/slack-desc $RELEASEDIR/slack-desc
-else
-# This creates the white space in front of "handy-ruler" in slack-desc below.
-
-LENGTH=$(expr length "$NAME")
-SPACES=0
-SHIM=""
-until [ "$SPACES" = "$LENGTH" ]; do
-SHIM="$SHIM "
-let SPACES=$SPACES+1
-done
-
-# Fill in the package summary between the () below.
-# Then package the description, License, Author and Website.
-# There may be no more then 11 $NAME: lines in a valid slack-desc.
-
-cat > $RELEASEDIR/slack-desc << EOF
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-$SHIM|-----handy-ruler------------------------------------------------------|$NAME: $NAME ()$NAME: $NAME ()
-$NAME: $NAME (libmpdclient abstraction layer)
-$NAME:
-$NAME: libmpd is a abstraction layer around libmpdclient.
-$NAME:  It provides a high level access to mpd. 
-$NAME: 
-$NAME:
-$NAME:
-$NAME: License: GPL
-$NAME: Authors: 
-$NAME: Website: http://gmpc.wikia.com/wiki/Libmpd/
-
-
-EOF
-fi
-cat >> $RELEASEDIR/slack-desc << EOF
-
-
-
-#----------------------------------------
-BUILDDATE: $(date)
-PACKAGER:  $VL_PACKAGER
-HOST:      $(uname -srm)
-DISTRO:    $(cat /etc/vector-version)
-CFLAGS:    $CFLAGS
-LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
-
-EOF
-
-cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
-
-#STRIPPING
-#------------------------------------------------------------------------------------------------------------------
-cd $PKG
-echo " "
-echo "Stripping...."
-echo " "
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-#------------------------------------------------------------------------------------------------------------------
-
-
-#FINISH PACKAGE
-#--------------------------------------------------------------
-echo "Finding dependencies..."
-ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
-echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
-
-cd $CWD
-echo "Cleaning up temp files..." && rm -rf $TMP
-echo "Package Complete"
-#--------------------------------------------------------------
-
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##
Add a comment to this file

var/vabs/libmpd/src/patches/.gitignore

Empty file removed.

var/vabs/libnxml/src/libnxml.SlackBuild

-#!/usr/bin/bash
-# This script assumes it will be launched within "/NAME/VERSION/src" dir.
-# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
-# and slack-required will be found in "VERSION" dir. The extraction and
-# build will be in a temp dir created in "NAME" dir, and then removed on exit.
-# Comment out second to last line to keep this dir intact.
-#
-# This Template was compiled from the contributions of many users of the Vector
-# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
-# from all over the internet. 
-#
-# Generated by sbbuilder-0.4.12.3, written by Rodrigo Bistolfi 
-# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
-#
-# Please put your name below if you add some original scripting lines.
-# AUTHORS = 
-
-NAME="libnxml"            #Enter package Name!
-VERSION=${VERSION:-"0.18.3"}      #Enter package Version!
-VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
-VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
-
-
-#SYSTEM VARIABLES
-#----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"1"}
-VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
-BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
-ARCH=${ARCH:-"$(uname -m)"}
-CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
-LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
-EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-#----------------------------------------------------------------------------
-
-
-#SETUP PACKAGING ENVIRONMENT
-#--------------------------------------------
-CWD=$(pwd)
-cd ../
-RELEASEDIR=$(pwd)
-cd $CWD
-mkdir -p $RELEASEDIR/tmp
-TMP=$RELEASEDIR/tmp
-PKG=$TMP/package-$NAME
-#--------------------------------------------
-
-
-
-if [ $UID != 0 ]; then
-   echo "You are not authorized to run this script. Please login as root"
-   exit 1
-fi
-
-if [ ! -x /usr/bin/requiredbuilder ]; then
-   echo "Requiredbuilder not installed, or not executable."
-   exit 1
-fi
-
-if [ $VL_PACKAGER = "YOURNAME" ]; then
-   echo 'Who are you?
-   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
-   Change the word "YOURNAME" to your VectorLinux packager name.
-   You may also export VL_PACKAGER, or call this script with
-   VL_PACKAGER="YOUR NAME HERE"'
-   exit 1
-fi
-
-
-#CFLAGS SETUP
-#--------------------------------------------
-if [[ "$ARCH" = i?86 ]]; then
-  ARCH=i586
-  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-  CONFIGURE_TRIPLET="i586-vector-linux"
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2 -fpic"
-  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
-  LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "powerpc" ]; then
-  SLKCFLAGS="-O2"
-  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
-  LIBDIRSUFFIX=""
-fi
-
-export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
-export CXXFLAGS=$CFLAGS
-export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
-#--------------------------------------------
-
-
-#GET THE SOURCE
-#--------------------------------------------
-for SRC in $(echo $LINK);do
-if [ ! -f $CWD/$(basename $SRC) ]
-then
-        wget -c $SRC
-fi
-done
-#--------------------------------------------
-
-
-rm -rf $PKG
-mkdir -p $PKG
-cd $TMP
-rm -rf $NAME-$VERSION
-
-
-#EXTRACT SOURCES
-#-----------------------------------------------------
-echo "Extracting source..."
-tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
-#-----------------------------------------------------
-
-
-cd $TMP/$NAME-$VERSION
-
-# Put any Patches into a patches folder in the src dir
-#-----------------------------------------------------
-for i in $CWD/patches/*;do
-	patch -p1 <$i
-done
-#-----------------------------------------------------
-
-
-#SET PERMISSIONS
-#-----------------------------------------
-echo "Setting permissions..."
-chown -R root:root .
-find . -perm 664 -exec chmod 644 {} \;
-find . -perm 777 -exec chmod 755 {} \;
-find . -perm 2777 -exec chmod 755 {} \;
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 2755 -exec chmod 755 {} \;
-find . -perm 774 -exec chmod 644 {} \;
-find . -perm 666 -exec chmod 644 {} \;
-find . -perm 600 -exec chmod 644 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-find . -perm 400 -exec chmod 644 {} \;
-find . -perm 440 -exec chmod 644 {} \;
-find . -perm 511 -exec chmod 755 {} \;
-find . -perm 711 -exec chmod 755 {} \;
-find . -perm 555 -exec chmod 755 {} \;
-#-----------------------------------------
-
-
-
-#CONFIGURE & MAKE
-#----------------------------------------------------------------------
-# If you are building a KDE-related app, then change the following
-# arguments in the script below:
-# --prefix=$(kde-config -prefix) \
-# --sysconfdir=/etc/kde \
-#
-# Making these changes will ensure that your package will build in the
-# correct path and that it will work seamlessly within the KDE environment.
-#
-#-----------------------------------------------------------------------
-
-echo "Configuring source..."
-./configure --prefix=/usr \
-  --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --infodir=/usr/info \
-  --sysconfdir=/etc \
-  --localstatedir=/var \
-  --mandir=/usr/man \
-  --with-included-gettext \
-  --disable-debug \
-  --program-prefix="" \
-  --program-suffix="" \
-  --build=$CONFIGURE_TRIPLET \
-  $CONFIG_OPTIONS || exit 1
-
-make || exit 1
-
-make install DESTDIR=$PKG || exit
-
-
-#######################################################################
-#Miscellenious tweaks and things outside a normal ./configure go here #
-#######################################################################
-
-
-
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ANNOUNCE* AUTHORS* BUGS* COPYING* ChangeLog* CHANGELOG* Credits* DEVELOPERS \
-LICENSE* MANIFEST PROVENANCE README* TODO* Exception_to_GPL_for_Qt.txt \
-$PKG/usr/doc/$NAME-$VERSION
-cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
-
-#----------------------------------------------------------------------
-
-if [ -d $PKG/usr/share/man ] ; then
-mkdir -p $PKG/usr/man
-mv $PKG/usr/share/man/* $PKG/usr/man
-rm -rf $PKG/usr/share/man
-fi
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-
-if [ -d $PKG/usr/share/info ] ; then
-mkdir -p $PKG/usr/info
-mv $PKG/usr/share/info/* $PKG/usr/info
-rm -rf $PKG/usr/share/info
-fi 
-
-find $PKG/usr/info -type f -exec gzip -9 {} \;
-mkdir -p $PKG/install
-if [ -d $PKG/usr/info ] ; then
-cat >> $PKG/install/doinst.sh << EOF
-CWD=\$(pwd)
-cd usr/info
-if [ -f dir ];then
-    rm dir
-fi
-if [ -f dir.gz ];then
-    rm dir.gz
-fi
-for i in *.info.gz;do
-        install-info \$i dir
-done
-cd \$CWD
-EOF
-fi
-
-mkdir -p $PKG/install
-
-
-#if there is a slack-desc in src dir use it
-if test -f $CWD/slack-desc; then
-cp $CWD/slack-desc $RELEASEDIR/slack-desc
-else
-# This creates the white space in front of "handy-ruler" in slack-desc below.
-
-LENGTH=$(expr length "$NAME")
-SPACES=0
-SHIM=""
-until [ "$SPACES" = "$LENGTH" ]; do
-SHIM="$SHIM "
-let SPACES=$SPACES+1
-done
-
-# Fill in the package summary between the () below.
-# Then package the description, License, Author and Website.
-# There may be no more then 11 $NAME: lines in a valid slack-desc.
-
-cat > $RELEASEDIR/slack-desc << EOF
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.  Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in.  You must
-# make exactly 11 lines for the formatting to be correct.  It's also
-# customary to leave one space after the ':'.
-
-$SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME (nXML is a C library for parsing.)
-$NAME:
-$NAME: nXML is a C library for parsing, writing and creating 
-$NAME: XML 1.0 and 1.1 files or streams. It supports utf-8, 
-$NAME: utf-16be and utf-16le, ucs-4 (1234, 4321, 2143, 2312).
-$NAME:
-$NAME:
-$NAME: License: LGPL
-$NAME: Authors: Andrea Marchesini <bakunin@autistici.org>
-$NAME: Website: http://www.autistici.org/bakunin/libnxml/doc/
-
-EOF
-fi
-cat >> $RELEASEDIR/slack-desc << EOF
-
-
-
-#----------------------------------------
-BUILDDATE: $(date)
-PACKAGER:  $VL_PACKAGER
-HOST:      $(uname -srm)
-DISTRO:    $(cat /etc/vector-version)
-CFLAGS:    $CFLAGS
-LDFLAGS:   $LDFLAGS
-CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
-
-EOF
-
-cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
-
-#STRIPPING
-#------------------------------------------------------------------------------------------------------------------
-cd $PKG
-echo " "
-echo "Stripping...."
-echo " "
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-#------------------------------------------------------------------------------------------------------------------
-
-
-#FINISH PACKAGE
-#--------------------------------------------------------------
-echo "Finding dependencies..."
-ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
-echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
-
-cd $CWD
-echo "Cleaning up temp files..." && rm -rf $TMP
-echo "Package Complete"
-#--------------------------------------------------------------
-
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##
Add a comment to this file

var/vabs/libnxml/src/patches/.gitignore

Empty file removed.

var/vabs/texi2html/src/texi2html.SlackBuild

 # AUTHORS = 
 
 NAME="texi2html"            #Enter package Name!
-VERSION=${VERSION:-"1.64"}      #Enter package Version!
+VERSION=${VERSION:-"5.0"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
-LINK=${LINK:-""}  #Enter URL for package here!
+LINK=${LINK:-"http://download.savannah.gnu.org/releases/texi2html/$NAME-$VERSION.tar.bz2"}  #Enter URL for package here!
 
 
 #SYSTEM VARIABLES
 # customary to leave one space after the ':'.
 
 $SHIM|-----handy-ruler------------------------------------------------------|
-$NAME: $NAME ()
+$NAME: $NAME (Perl script which converts Texinfo source files to HTML output)
 $NAME:
 $NAME: 
 $NAME: 
 $NAME:
 $NAME: License: GPL
 $NAME: Authors: 
-$NAME: Website: 
+$NAME: Website: http://www.nongnu.org/texi2html/texi2html-old.html
 
 EOF
 fi
 echo "Package Complete"
 #--------------------------------------------------------------
 
-# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.